Cancel a benchmark
curl --request POST \
--url https://{command_center_host}/api/v1/benchmarks/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://{command_center_host}/api/v1/benchmarks/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{command_center_host}/api/v1/benchmarks/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{command_center_host}/api/v1/benchmarks/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{command_center_host}/api/v1/benchmarks/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{command_center_host}/api/v1/benchmarks/{id}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{command_center_host}/api/v1/benchmarks/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "bch_0f4a6d1b-...",
"status": "queued",
"scenarios": [
"<string>"
],
"total": 123,
"completed": 123,
"passed": 123,
"mode": "<string>",
"source": "<string>",
"branch": "<string>",
"main_engine": "<string>",
"secondary_engine": "<string>",
"gateway_engine": "<string>",
"gateway": "runner",
"triggered_by": "<string>",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"started_at": "2026-08-26T10:00:26.380Z",
"completed_at": "2026-08-26T10:00:26.380Z",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"model_config": "<unknown>",
"errors": null
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Benchmarks
Cancel a benchmark
Runs not started yet never start; runs going are stopped and restore their hosts before they report cancelled. A benchmark that has ended is 409.
POST
/
api
/
v1
/
benchmarks
/
{id}
/
cancel
Cancel a benchmark
curl --request POST \
--url https://{command_center_host}/api/v1/benchmarks/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://{command_center_host}/api/v1/benchmarks/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{command_center_host}/api/v1/benchmarks/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{command_center_host}/api/v1/benchmarks/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{command_center_host}/api/v1/benchmarks/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{command_center_host}/api/v1/benchmarks/{id}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{command_center_host}/api/v1/benchmarks/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "bch_0f4a6d1b-...",
"status": "queued",
"scenarios": [
"<string>"
],
"total": 123,
"completed": 123,
"passed": 123,
"mode": "<string>",
"source": "<string>",
"branch": "<string>",
"main_engine": "<string>",
"secondary_engine": "<string>",
"gateway_engine": "<string>",
"gateway": "runner",
"triggered_by": "<string>",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"started_at": "2026-08-26T10:00:26.380Z",
"completed_at": "2026-08-26T10:00:26.380Z",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"model_config": "<unknown>",
"errors": null
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Authorizations
An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
Path Parameters
Response
The benchmark
Example:
"bch_0f4a6d1b-..."
Available options:
queued, running, completed, failed, cancelled The titles of the scenarios it ran, as they were at launch
Runs graded passed so far
Example:
"runner"
Example:
"org_460b541c-..."
Example:
"ten_115bea44-..."
Example:
"2026-08-26T10:00:26.380Z"
Example:
"2026-08-26T10:00:26.380Z"
Example:
"2026-08-26T10:00:26.380Z"
Example:
"2026-08-26T10:00:26.380Z"
The models resolved for each agent at launch

